Package org.jboss.logmanager.filters

# Class LevelRangeFilter

java.lang.Object
org.jboss.logmanager.filters.LevelRangeFilter

All Implemented Interfaces:
  `Filter`

public final class LevelRangeFilter extends Object implements Filter
Log only messages that fall within a level range.

## Constructor Summary

Constructors
Constructor
Description
`LevelRangeFilter(Level min, boolean minInclusive, Level max, boolean maxInclusive)`
Create a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoggable(LogRecord record)`
Determine if a record is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LevelRangeFilter

public LevelRangeFilter(Level min, boolean minInclusive, Level max, boolean maxInclusive)
Create a new instance.

Parameters:
  `min` - the minimum (least severe) level, inclusive
  `minInclusive` - `true` if the `min` value is inclusive, `false` if it is exclusive
  `max` - the maximum (most severe) level, inclusive
  `maxInclusive` - `true` if the `max` value is inclusive, `false` if it is exclusive

## Method Details

### isLoggable

public boolean isLoggable(LogRecord record)
Determine if a record is loggable.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if the record's level falls within the range specified for this instance